Appium 1.3.7 - not founding xcode

I had problems with Appium 1.3.6 so I updated Appium to 1.3.7 version. Now I have other error.

Launching Appium with command: ‘/Applications/Appium.app/Contents/Resources/node/bin/node’ lib/server/main.js --command-timeout “7200” --platform-version “7.0” --platform-name “iOS” --app “my.application” --udid “id_01” --show-ios-log --device-name “iPhone 5 iOS 7 (id_01)”

info: Welcome to Appium v1.3.7 (REV 72fbfaa116d3d9f6a862600ee99cf02f6d0e2182)

info: Appium REST http interface listener started on 0.0.0.0:4723
info: [debug] Non-default server args: {“app”:“my.application”,“udid”:“id_01”,“deviceName”:“iPhone 5 iOS 7 (id_01)”,“platformName”:“iOS”,“platformVersion”:“7.0”,“showIOSLog”:true,“defaultCommandTimeout”:7200}

info: Console LogLevel: debug

info: → GET /wd/hub/status {}

info: [debug] Responding to client with success: {“status”:0,“value”:{“build”:{“version”:“1.3.7”,“revision”:“72fbfaa116d3d9f6a862600ee99cf02f6d0e2182”}}}

info: ← GET /wd/hub/status 200 8.777 ms - 104 {“status”:0,“value”:{“build”:{“version”:“1.3.7”,“revision”:“72fbfaa116d3d9f6a862600ee99cf02f6d0e2182”}}}

info: → GET /wd/hub/status {}

info: [debug] Responding to client with success: {“status”:0,“value”:{“build”:{“version”:“1.3.7”,“revision”:“72fbfaa116d3d9f6a862600ee99cf02f6d0e2182”}}}

info: ← GET /wd/hub/status 200 3.464 ms - 104 {“status”:0,“value”:{“build”:{“version”:“1.3.7”,“revision”:“72fbfaa116d3d9f6a862600ee99cf02f6d0e2182”}}}

info: → GET /wd/hub/sessions {}
info: [debug] Responding to client with success: {“status”:0,“value”:}
info: ← GET /wd/hub/sessions 200 0.996 ms - 23 {“status”:0,“value”:}
info: → POST /wd/hub/session {“desiredCapabilities”:{“platformName”:“iOS”,“platformVersion”:“7.0”,“newCommandTimeout”:“999999”,“automationName”:“Appium”,“deviceName”:“iPhone 5 iOS 7 (id_01)”}}
info: Client User-Agent string: Appium (unknown version) CFNetwork/673.4 Darwin/13.3.0 (x86_64) (MacBookPro8%2C2)
info: [debug] App is an iOS bundle, will attempt to run as pre-existing
info: [debug] Creating new appium session 4256e4af-00f5-4625-a39a-5ff4f03827c3
info: [debug] Removing any remaining instruments sockets
info: [debug] Cleaned up instruments socket /tmp/instruments_sock
info: [debug] Setting Xcode folder

info: [debug] Setting Xcode version

error: Could not determine Xcode version:Command failed: /bin/sh -c /usr/libexec/PlistBuddy -c ‘Print CFBundleShortVersionString’ /Applications/Xcode 6.0.app/Contents/Info.plist

info: [debug] Setting iOS SDK Version

error: Could not get the iOS SDK version because the Xcode version could not be determined.
error: Could not get the iOS SDK version because the Xcode version could not be determined.

info: [debug] Cleaning up appium session
info: [debug] Error: Could not get the iOS SDK version because the Xcode version could not be determined.
at /Applications/Appium.app/Contents/Resources/node_modules/appium/lib/devices/ios/xcode.js:111:10
at /Applications/Appium.app/Contents/Resources/node_modules/appium/lib/devices/ios/xcode.js:90:34
at ChildProcess.exithandler (child_process.js:751:5)
at ChildProcess.emit (events.js:110:17)
at maybeClose (child_process.js:1008:16)
at Socket. (child_process.js:1176:11)
at Socket.emit (events.js:107:17)
at Pipe.close (net.js:476:12)
info: [debug] Responding to client with error: {“status”:33,“value”:{“message”:“A new session could not be created. (Original error: Could not get the iOS SDK version because the Xcode version could not be determined.)”,“origValue”:“Could not get the iOS SDK version because the Xcode version could not be determined.”},“sessionId”:null}
info: ← POST /wd/hub/session 500 60.022 ms - 290

error: Could not get the iOS SDK version because the Xcode version could not be determined.
error: Could not determine iOS SDK version
error: Failed to start an Appium session, err was: Error: Could not get the iOS SDK version because the Xcode version could not be determined.

info: → GET /wd/hub/status {}

info: [debug] Responding to client with success: {“status”:0,“value”:{“build”:{“version”:“1.3.7”,“revision”:“72fbfaa116d3d9f6a862600ee99cf02f6d0e2182”}}}
info: ← GET /wd/hub/status 200 1.380 ms - 104 {“status”:0,“value”:{“build”:{“version”:“1.3.7”,“revision”:“72fbfaa116d3d9f6a862600ee99cf02f6d0e2182”}}}

tried with ‘prelaunch application’ checked or unchecked (then clicked Inspector). Error was the same…

I have picked path to my XCode in Advanced tab of Appium app.

Have the same issue , was fine with 1.3.6 ver

Yes, in 1.3.6 I haven’t got this error (but have other errors :wink: )

but at least I could launch the simulator …

downgraded to 1.3.6 and now it works again.

Appium guys , pls fix the 1.3.7 ver.

10x

Try to check this https://github.com/appium/appium/issues/4599

Problem was with space in my XCode name (I have something like: “/Applications/XCode 6.0.app”)